OpenJPEG: index_manager.h File Reference

OpenJPEG 2.5.4

Data Structures | Typedefs | Functions
index_manager.h File Reference
`#include "opj_config.h"`
`#include "opj_includes.h"`
`#include "byte_manager.h"`
`#include "faixbox_manager.h"`
`#include "metadata_manager.h"`
`#include "mhixbox_manager.h"`

Go to the source code of this file.

## Data Structures
struct | SIZmarker_param
| progression order More...
struct | CODmarker_param
| A.6.1 Coding style default (COD) More...
struct | index_param
| index parameters More...
struct | range_param
| 1-dimensional range parameters More...

## Typedefs
typedef struct SIZmarker_param | SIZmarker_param_t
| progression order
typedef struct CODmarker_param | CODmarker_param_t
| A.6.1 Coding style default (COD)
typedef struct index_param | index_param_t
| index parameters
typedef struct range_param | range_param_t
| 1-dimensional range parameters

## Functions
index_param_t * | parse_jp2file (int fd)
| parse JP2 file AnnexI: Indexing JPEG2000 files for JPIP
void | print_index (index_param_t index)
| print index parameters
void | print_SIZ (SIZmarker_param_t SIZ)
| print Image and Tile SIZ parameters
void | print_COD (CODmarker_param_t COD)
| print Coding style default COD parameters
void | delete_index (index_param_t **index)
| delete index
void | delete_COD (CODmarker_param_t COD)
| delete dynamic arrays in COD marker
range_param_t | get_tile_Xrange (SIZmarker_param_t SIZ, Byte4_t tile_id, int level)
| get horizontal range of the tile in reference grid
range_param_t | get_tile_Yrange (SIZmarker_param_t SIZ, Byte4_t tile_id, int level)
| get vertical range of the tile in reference grid
Byte4_t | get_tile_XSiz (SIZmarker_param_t SIZ, Byte4_t tile_id, int level)
| get tile wdith at the decomposition level
Byte4_t | get_tile_YSiz (SIZmarker_param_t SIZ, Byte4_t tile_id, int level)
OPJ_BOOL | isJPTfeasible (index_param_t index)
| answers if the target is feasible to JPT-stream

## Typedef Documentation

## ◆ CODmarker_param_t

typedef struct CODmarker_param CODmarker_param_t

A.6.1 Coding style default (COD)

## ◆ index_param_t

typedef struct index_param index_param_t

index parameters

## ◆ range_param_t

typedef struct range_param range_param_t

1-dimensional range parameters

## ◆ SIZmarker_param_t

typedef struct SIZmarker_param SIZmarker_param_t

progression order

A.5.1 Image and tile size (SIZ)

## Function Documentation

## ◆ delete_COD()

void delete_COD | ( | CODmarker_param_t | COD | ) |

delete dynamic arrays in COD marker

Parameters

  [in] | COD | COD marker information

References opj_free(), CODmarker_param::XPsiz, and CODmarker_param::YPsiz.

Referenced by delete_index(), and recons_codestream_from_JPPstream().

## ◆ delete_index()

void delete_index | ( | index_param_t ** | index | ) |

delete index

Parameters

  [in,out] | index | addressof the index pointer

References delete_COD(), delete_faixbox(), delete_metadatalist(), delete_mhixbox(), and opj_free().

Referenced by delete_target(), and destroy_index().

## ◆ get_tile_Xrange()

range_param_t get_tile_Xrange | ( | SIZmarker_param_t | SIZ,
|  | Byte4_t | tile_id,
|  | int | level )

get horizontal range of the tile in reference grid

Parameters

  [in] | SIZ | SIZ marker information
  [in] | tile_id | tile id
  [in] | level | decomposition level

Returns
  structured range parameter

References get_tile_range(), SIZmarker_param::XOsiz, SIZmarker_param::Xsiz, SIZmarker_param::XTnum, SIZmarker_param::XTOsiz, and SIZmarker_param::XTsiz.

Referenced by enqueue_imagedata(), and get_tile_XSiz().

## ◆ get_tile_XSiz()

Byte4_t get_tile_XSiz | ( | SIZmarker_param_t | SIZ,
|  | Byte4_t | tile_id,
|  | int | level )

get tile wdith at the decomposition level

Parameters

  [in] | SIZ | SIZ marker information
  [in] | tile_id | tile id
  [in] | level | decomposition level

Returns
  tile width

References get_tile_Xrange(), range_param::maxvalue, and range_param::minvalue.

Referenced by comp_numOfprcts(), enqueue_allprecincts(), and enqueue_precincts().

## ◆ get_tile_Yrange()

range_param_t get_tile_Yrange | ( | SIZmarker_param_t | SIZ,
|  | Byte4_t | tile_id,
|  | int | level )

get vertical range of the tile in reference grid

Parameters

  [in] | SIZ | SIZ marker information
  [in] | tile_id | tile id
  [in] | level | decomposition level

Returns
  structured range parameter

References get_tile_range(), SIZmarker_param::XTnum, SIZmarker_param::YOsiz, SIZmarker_param::Ysiz, SIZmarker_param::YTOsiz, and SIZmarker_param::YTsiz.

Referenced by enqueue_imagedata(), and get_tile_YSiz().

## ◆ get_tile_YSiz()

Byte4_t get_tile_YSiz | ( | SIZmarker_param_t | SIZ,
|  | Byte4_t | tile_id,
|  | int | level )

References get_tile_Yrange(), range_param::maxvalue, and range_param::minvalue.

Referenced by comp_numOfprcts(), enqueue_allprecincts(), and enqueue_precincts().

## ◆ isJPTfeasible()

OPJ_BOOL isJPTfeasible | ( | index_param_t | index | ) |

answers if the target is feasible to JPT-stream

Parameters

  [in] | index | index parameters

Returns
  true if JPT-stream is feasible

References get_nmax(), OPJ_FALSE, OPJ_TRUE, and index_param::tilepart.

Referenced by gene_target().

## ◆ parse_jp2file()

index_param_t * parse_jp2file | ( | int | fd | ) |

parse JP2 file AnnexI: Indexing JPEG2000 files for JPIP

Parameters

  [in] | fd | file descriptor of the JP2 file

Returns
  pointer to the generated structure of index parameters

References check_JP2boxidx(), const_metadatalist(), delete_boxlist(), FCGI_stderr, get_boxstructure(), get_filesize(), logstream, index_param::metadatalist, opj_free(), opj_malloc(), search_box(), and set_cidxdata().

Referenced by gene_target(), and get_index_from_JP2file().

## ◆ print_COD()

void print_COD | ( | CODmarker_param_t | COD | ) |

print Coding style default COD parameters

Parameters

  [in] | COD | COD marker information

References logstream, CODmarker_param::numOfdecomp, CODmarker_param::numOflayers, CODmarker_param::prog_order, CODmarker_param::Scod, CODmarker_param::XPsiz, and CODmarker_param::YPsiz.

Referenced by print_index().

## ◆ print_index()

void print_index | ( | index_param_t | index | ) |

print index parameters

Parameters

  [in] | index | index parameters

References index_param::COD, SIZmarker_param::Csiz, index_param::length, logstream, index_param::metadatalist, index_param::mhead_length, index_param::offset, index_param::precpacket, print_allmetadata(), print_COD(), print_faixbox(), print_mhixbox(), print_SIZ(), index_param::SIZ, index_param::tileheader, index_param::tilepart, SIZmarker_param::XTnum, and SIZmarker_param::YTnum.

Referenced by output_index().

## ◆ print_SIZ()

void print_SIZ | ( | SIZmarker_param_t | SIZ | ) |

print Image and Tile SIZ parameters

Parameters

  [in] | SIZ | SIZ marker information

References SIZmarker_param::Csiz, logstream, SIZmarker_param::Rsiz, SIZmarker_param::Ssiz, SIZmarker_param::XOsiz, SIZmarker_param::XRsiz, SIZmarker_param::Xsiz, SIZmarker_param::XTnum, SIZmarker_param::XTOsiz, SIZmarker_param::XTsiz, SIZmarker_param::YOsiz, SIZmarker_param::YRsiz, SIZmarker_param::Ysiz, SIZmarker_param::YTnum, SIZmarker_param::YTOsiz, and SIZmarker_param::YTsiz.

Referenced by print_index().